Required Boost Libraries 1_64?

Get help with compiling or installing the game, and discuss announcements of new official releases.

Moderators: Forum Moderators, Developers

Required Boost Libraries 1_64?

Postby fancypantsorama » September 23rd, 2017, 11:05 pm

I have compiled successfully wesnoth with boost libraries 1_65. When building the actual game wesnoth project for release it is looking for regex 1_64 that is in the external/libs directory. The only problem is if I had it there. It would produce a compiler error stating that it was multiply defined. Can anyone point me to the solution to this or can anyone point me to the 1_64 release of source for boost libraries?
fancypantsorama
 
Posts: 15
Joined: September 19th, 2017, 11:02 am

Re: Required Boost Libraries 1_64?

Postby Tad_Carlucci » September 24th, 2017, 12:25 am

According to http://www.boost.org/users/download/

Old Boost Releases
Old versions of boost can be found on the version history page or from the sourceforge download page.
I forked real life and now I'm getting merge conflicts.
Tad_Carlucci
Developer
 
Posts: 213
Joined: April 24th, 2016, 4:18 pm

Re: Required Boost Libraries 1_64?

Postby fancypantsorama » September 24th, 2017, 3:15 am

I have checked out boost home page and sourceforge and see that they are limited to 1_65 the latest and greatest. If you can advise me otherwise it would be greatly appreciated!!
fancypantsorama
 
Posts: 15
Joined: September 19th, 2017, 11:02 am

Re: Required Boost Libraries 1_64?

Postby Pentarctagon » September 24th, 2017, 5:22 am

fancypantsorama wrote:I have checked out boost home page and sourceforge and see that they are limited to 1_65 the latest and greatest. If you can advise me otherwise it would be greatly appreciated!!


err... if you click the "version history" link on the page that Tad_Carlucci linked to, there are downloads for boost releases going all the way back to 1.21.1.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code
User avatar
Pentarctagon
Forum Administrator
 
Posts: 2976
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: Required Boost Libraries 1_64?

Postby fancypantsorama » September 24th, 2017, 10:01 am

Thanks 2 days ago that link was bringing back to the latest and greatest release. Hope I can build the regex 1-64 lib for win 64 and not have a conflict with the external/libs libboost regex 1_64. Giving multiply defined symbols. Thanks all!!
fancypantsorama
 
Posts: 15
Joined: September 19th, 2017, 11:02 am


Return to Release Announcements, Compiling & Installation

Who is online

Users browsing this forum: No registered users and 2 guests